Devuan bug report logs - #662
software-properties-gtk: does not start due to lack of devuan distro template

Package: python-apt-common-devuan; Maintainer for python-apt-common-devuan is Boian Bonev <bbonev@devuan.org>;

Reported by: Elliot <TrueTechie@tutanota.com>

Date: Sun, 30 Jan 2022 23:42:01 UTC

Severity: normal

Merged with 549

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, truetechie@tutanota.com, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Sun, 30 Jan 2022 23:42:01 GMT) (full text, mbox, link).


Acknowledgement sent to Elliot <TrueTechie@tutanota.com>:
New bug report received and forwarded. Copy sent to truetechie@tutanota.com, devuan-dev@lists.dyne.org. (Sun, 30 Jan 2022 23:42:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Elliot <TrueTechie@tutanota.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: software-properties-gtk: does not start due to lack of devuan distro template
Date: Sun, 30 Jan 2022 18:39:50 -0500
Package: software-properties-gtk
Version: 0.96.20.2-2.1
Severity: normal
X-Debbugs-Cc: TrueTechie@tutanota.com

Dear Maintainer,

When launching software-properties-gtk, the program produces an error
saying that it does not have a proper template for Devuan Chimera. It
seems that it just needs one to be implemented and/or patched in, but I
am not sure about this.

Full Python Traceback:
Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 101, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 109, in __init__
    SoftwareProperties.__init__(self, options=options, datadir=datadir)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)    
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in get_sources
    raise NoDistroTemplateException(
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for Devuan/chimaera


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-11-amd64 (SMP w/12 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: OpenRC (via /run/openrc), PID 1: init
LSM: AppArmor: enabled

Versions of packages software-properties-gtk depends on:
ii  gir1.2-gtk-3.0               3.24.24-4
ii  python3                      3.9.2-3
ii  python3-gi                   3.38.0-2
ii  python3-software-properties  0.96.20.2-2.1
ii  software-properties-common   0.96.20.2-2.1

software-properties-gtk recommends no packages.

Versions of packages software-properties-gtk suggests:
pn  gnome-software  <none>

-- no debconf information

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Tue, 01 Feb 2022 13:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to tito <farmatito@tiscali.it>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Tue, 01 Feb 2022 13:18:04 GMT) (full text, mbox, link).


Message #10 received at 662@bugs.devuan.org (full text, mbox, reply):

From: tito <farmatito@tiscali.it>
To: devuan-dev@lists.dyne.org
Cc: Elliot <TrueTechie@tutanota.com>, 662@bugs.devuan.org
Subject: Re: [devuan-dev] bug#662: software-properties-gtk: does not start due to lack of devuan distro template
Date: Tue, 1 Feb 2022 14:16:23 +0100
[Message part 1 (text/plain, inline)]
On Sun, 30 Jan 2022 18:39:50 -0500
Elliot <TrueTechie@tutanota.com> wrote:

> Package: software-properties-gtk
> Version: 0.96.20.2-2.1
> Severity: normal
> X-Debbugs-Cc: TrueTechie@tutanota.com
> 
> Dear Maintainer,
> 
> When launching software-properties-gtk, the program produces an error
> saying that it does not have a proper template for Devuan Chimera. It
> seems that it just needs one to be implemented and/or patched in, but I
> am not sure about this.
> 
> Full Python Traceback:
> Traceback (most recent call last):
>   File "/usr/bin/software-properties-gtk", line 101, in <module>
>     app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
>   File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 109, in __init__
>     SoftwareProperties.__init__(self, options=options, datadir=datadir)
>   File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
>     self.reload_sourceslist()
>   File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
>     self.distro.get_sources(self.sourceslist)    
>   File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in get_sources
>     raise NoDistroTemplateException(
> aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for Devuan/chimaera
> 
> 
> -- System Information:
> Distributor ID:	Devuan
> Description:	Devuan GNU/Linux 4 (chimaera)
> Release:	4
> Codename:	chimaera
> Architecture: x86_64
> 
> Kernel: Linux 5.10.0-11-amd64 (SMP w/12 CPU threads)
> Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
> Shell: /bin/sh linked to /bin/dash
> Init: OpenRC (via /run/openrc), PID 1: init
> LSM: AppArmor: enabled
> 
> Versions of packages software-properties-gtk depends on:
> ii  gir1.2-gtk-3.0               3.24.24-4
> ii  python3                      3.9.2-3
> ii  python3-gi                   3.38.0-2
> ii  python3-software-properties  0.96.20.2-2.1
> ii  software-properties-common   0.96.20.2-2.1
> 
> software-properties-gtk recommends no packages.
> 
> Versions of packages software-properties-gtk suggests:
> pn  gnome-software  <none>
> 
> -- no debconf information
> _______________________________________________
> devuan-dev internal mailing list
> devuan-dev@lists.dyne.org
> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev

Hi,
the templates should be add to:

Package: python-apt-common (2.2.1) 

I think it should be possible to add them directly to the original debian 
package as they do ship some templates for derivative distributions

/usr/share/python-apt/templates/Blankon.info
/usr/share/python-apt/templates/Blankon.mirrors
/usr/share/python-apt/templates/Debian.info
/usr/share/python-apt/templates/Debian.mirrors
/usr/share/python-apt/templates/Kali.info
/usr/share/python-apt/templates/Kali.mirrors
/usr/share/python-apt/templates/Tanglu.info
/usr/share/python-apt/templates/Tanglu.mirrors
/usr/share/python-apt/templates/Ubuntu.info
/usr/share/python-apt/templates/Ubuntu.mirrors
/usr/share/python-apt/templates/gNewSense.info
/usr/share/python-apt/templates/gNewSense.mirrors

Attached you will find some templates that were posted to dng@lists.dyne.org
by tempforever that allow software-properties-gtk  to run but there were concerns
about the correctness of the contents.
It would be best if the template files would be reviewed by the people
who is running the devuan repositories as they know best.

Ciao,
Tito  
[Devuan.info (application/octet-stream, attachment)]
[Devuan.mirros (application/octet-stream, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Wed, 02 Feb 2022 05:42:02 GMT) (full text, mbox, link).


Acknowledgement sent to Boian Bonev <bbonev@ipacct.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Wed, 02 Feb 2022 05:42:07 GMT) (full text, mbox, link).


Message #15 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Boian Bonev <bbonev@ipacct.com>
To: Elliot <TrueTechie@tutanota.com>, 662@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>
Subject: Re: [devuan-dev] bug#662: software-properties-gtk: does not start due to lack of devuan distro template
Date: Wed, 02 Feb 2022 07:39:33 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hello,

Please test with python-apt-common-devuan from ceres - it does not depend on
anything, so should be safe to install in beowulf/chimaera.

With best regards,
b.

On Sun, 2022-01-30 at 18:39 -0500, Elliot wrote:
> Package: software-properties-gtk
> Version: 0.96.20.2-2.1
> Severity: normal
> X-Debbugs-Cc: TrueTechie@tutanota.com
> 
> Dear Maintainer,
> 
> When launching software-properties-gtk, the program produces an error
> saying that it does not have a proper template for Devuan Chimera. It
> seems that it just needs one to be implemented and/or patched in, but I
> am not sure about this.
> 
> Full Python Traceback:
> Traceback (most recent call last):
>   File "/usr/bin/software-properties-gtk", line 101, in <module>
>     app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options,
> file=file)
>   File "/usr/lib/python3/dist-
> packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 109, in
> __init__
>     SoftwareProperties.__init__(self, options=options, datadir=datadir)
>   File "/usr/lib/python3/dist-
> packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
>     self.reload_sourceslist()
>   File "/usr/lib/python3/dist-
> packages/softwareproperties/SoftwareProperties.py", line 599, in
> reload_sourceslist
>     self.distro.get_sources(self.sourceslist)    
>   File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in
> get_sources
>     raise NoDistroTemplateException(
> aptsources.distro.NoDistroTemplateException: Error: could not find a
> distribution template for Devuan/chimaera
> 
> 
> -- System Information:
> Distributor ID: Devuan
> Description:    Devuan GNU/Linux 4 (chimaera)
> Release:        4
> Codename:       chimaera
> Architecture: x86_64
> 
> Kernel: Linux 5.10.0-11-amd64 (SMP w/12 CPU threads)
> Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE,
> TAINT_UNSIGNED_MODULE
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not
> set
> Shell: /bin/sh linked to /bin/dash
> Init: OpenRC (via /run/openrc), PID 1: init
> LSM: AppArmor: enabled
> 
> Versions of packages software-properties-gtk depends on:
> ii  gir1.2-gtk-3.0               3.24.24-4
> ii  python3                      3.9.2-3
> ii  python3-gi                   3.38.0-2
> ii  python3-software-properties  0.96.20.2-2.1
> ii  software-properties-common   0.96.20.2-2.1
> 
> software-properties-gtk recommends no packages.
> 
> Versions of packages software-properties-gtk suggests:
> pn  gnome-software  <none>
> 
> -- no debconf information
> _______________________________________________
> devuan-dev internal mailing list
> devuan-dev@lists.dyne.org
> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEumC8IPN+WURNbSUAE2VyCRPS8i0FAmH6GRUACgkQE2VyCRPS
8i2f9w/7B5qEISACCT1uTLFv1GHftaQ85f8HTURfyETH4806wsegY5BpRhv7QBuE
R9h6fOS81ETtBVXqxxzrJnsFl1qSqdVgEZp1k6I8jhWnbAAthoQUlIZ3XsLHpCFE
n6V761qEXIcfat9YOo6Uzbs6Lj3i9nwux+8l0kIJpjI4CPJ4jyFnoYqBEMUvDBV5
i0j2qHaTlRihD+JKI+oqEBjzT4H61SxViT6qYFuoVOZ8KIPb7UYmz5p+4kw7mMcJ
+71xalhnA7P4FdwptXBfCiVSbNjnDQhKNjKOqfE1YDqT47HOQGyOFZB2UXKms/Qq
vs7f117J8HyUX0DXcU5WemLaUAbIIjzzDxSQsyQ0i7dv8CDBVznA5LOxR8HrA/YQ
Ya78P3tX6oiVsJJHhu37IAzAsofYM1BG6F/BqBla94EBhtzJ74OyYyhHoXsJiU9k
aNPSWfKgbgXstwAplOV1I54XHYaegrbf8SgaFAxgNQXsaN21eAuoiihGbCo5vZPa
MnLSy09fOwyUiMaPcdjzj8CN21ceap+HtL3KV/IANqXucGvNU2YMMnoCVXF0qfdD
eIjQeYSpdZq6yuYASVTSMbZOJPvkZYzkK02qiOGYwdU0D82IiOJP0Pz771XX79d4
HaV2vtgUhupD2Tz+800fq6by1/NnJV/neTrLD+8jdJulHd1TLMg=
=LZT4
-----END PGP SIGNATURE-----


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Wed, 02 Feb 2022 22:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to tito <farmatito@tiscali.it>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Wed, 02 Feb 2022 22:20:05 GMT) (full text, mbox, link).


Message #20 received at 662@bugs.devuan.org (full text, mbox, reply):

From: tito <farmatito@tiscali.it>
To: Where all about bugs in Devuan packages is reported <devuan-bugs@lists.dyne.org>
Cc: Elliot <TrueTechie@tutanota.com>, 662@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>
Subject: Re: [Devuan-bugs] bug#662: [devuan-dev] bug#662: software-properties-gtk: does not start due to lack of devuan distro template
Date: Wed, 2 Feb 2022 23:17:35 +0100
On Wed, 02 Feb 2022 07:39:33 +0200
Where all about bugs in Devuan packages is reported <devuan-bugs@lists.dyne.org> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
> 
> Hello,
> 
> Please test with python-apt-common-devuan from ceres - it does not depend on
> anything, so should be safe to install in beowulf/chimaera.
> 
> With best regards,
> b.
> 


Hi,
spotted a typo;

--- Devuan.info.orig    2022-02-02 22:57:50.098440373 +0100
+++ Devuan.info 2022-02-02 23:00:39.546288910 +0100
@@ -33,7 +33,7 @@ RepositoryType: deb
 BaseURI: http://deb.devuan.org/merged/
 MatchURI: [a-z]{2}\.deb\.devuan\.org
 MirrorsFile: Devuan.mirrors
-_Description: Devuan 4 'Chimaera '
+_Description: Devuan 4 'Chimaera'
 Component: main
 _CompDescription: Officially supported
 Component: contrib

File seems to work as software-properties-gtk starts,
but the checkboxes in the "Devuan Software" and "Updates"
tab are not functional. This could be caused by my
setup. Had not time to test it in a clean Devuan
4 install.

Ciao,
Tito
 
> On Sun, 2022-01-30 at 18:39 -0500, Elliot wrote:
> > Package: software-properties-gtk
> > Version: 0.96.20.2-2.1
> > Severity: normal
> > X-Debbugs-Cc: TrueTechie@tutanota.com
> > 
> > Dear Maintainer,
> > 
> > When launching software-properties-gtk, the program produces an error
> > saying that it does not have a proper template for Devuan Chimera. It
> > seems that it just needs one to be implemented and/or patched in, but I
> > am not sure about this.
> > 
> > Full Python Traceback:
> > Traceback (most recent call last):
> >   File "/usr/bin/software-properties-gtk", line 101, in <module>
> >     app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options,
> > file=file)
> >   File "/usr/lib/python3/dist-
> > packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 109, in
> > __init__
> >     SoftwareProperties.__init__(self, options=options, datadir=datadir)
> >   File "/usr/lib/python3/dist-
> > packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
> >     self.reload_sourceslist()
> >   File "/usr/lib/python3/dist-
> > packages/softwareproperties/SoftwareProperties.py", line 599, in
> > reload_sourceslist
> >     self.distro.get_sources(self.sourceslist)    
> >   File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in
> > get_sources
> >     raise NoDistroTemplateException(
> > aptsources.distro.NoDistroTemplateException: Error: could not find a
> > distribution template for Devuan/chimaera
> > 
> > 
> > -- System Information:
> > Distributor ID: Devuan
> > Description:    Devuan GNU/Linux 4 (chimaera)
> > Release:        4
> > Codename:       chimaera
> > Architecture: x86_64
> > 
> > Kernel: Linux 5.10.0-11-amd64 (SMP w/12 CPU threads)
> > Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE,
> > TAINT_UNSIGNED_MODULE
> > Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not
> > set
> > Shell: /bin/sh linked to /bin/dash
> > Init: OpenRC (via /run/openrc), PID 1: init
> > LSM: AppArmor: enabled
> > 
> > Versions of packages software-properties-gtk depends on:
> > ii  gir1.2-gtk-3.0               3.24.24-4
> > ii  python3                      3.9.2-3
> > ii  python3-gi                   3.38.0-2
> > ii  python3-software-properties  0.96.20.2-2.1
> > ii  software-properties-common   0.96.20.2-2.1
> > 
> > software-properties-gtk recommends no packages.
> > 
> > Versions of packages software-properties-gtk suggests:
> > pn  gnome-software  <none>
> > 
> > -- no debconf information
> > _______________________________________________
> > devuan-dev internal mailing list
> > devuan-dev@lists.dyne.org
> > https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev
> 
> -----BEGIN PGP SIGNATURE-----
> 
> iQIzBAEBCgAdFiEEumC8IPN+WURNbSUAE2VyCRPS8i0FAmH6GRUACgkQE2VyCRPS
> 8i2f9w/7B5qEISACCT1uTLFv1GHftaQ85f8HTURfyETH4806wsegY5BpRhv7QBuE
> R9h6fOS81ETtBVXqxxzrJnsFl1qSqdVgEZp1k6I8jhWnbAAthoQUlIZ3XsLHpCFE
> n6V761qEXIcfat9YOo6Uzbs6Lj3i9nwux+8l0kIJpjI4CPJ4jyFnoYqBEMUvDBV5
> i0j2qHaTlRihD+JKI+oqEBjzT4H61SxViT6qYFuoVOZ8KIPb7UYmz5p+4kw7mMcJ
> +71xalhnA7P4FdwptXBfCiVSbNjnDQhKNjKOqfE1YDqT47HOQGyOFZB2UXKms/Qq
> vs7f117J8HyUX0DXcU5WemLaUAbIIjzzDxSQsyQ0i7dv8CDBVznA5LOxR8HrA/YQ
> Ya78P3tX6oiVsJJHhu37IAzAsofYM1BG6F/BqBla94EBhtzJ74OyYyhHoXsJiU9k
> aNPSWfKgbgXstwAplOV1I54XHYaegrbf8SgaFAxgNQXsaN21eAuoiihGbCo5vZPa
> MnLSy09fOwyUiMaPcdjzj8CN21ceap+HtL3KV/IANqXucGvNU2YMMnoCVXF0qfdD
> eIjQeYSpdZq6yuYASVTSMbZOJPvkZYzkK02qiOGYwdU0D82IiOJP0Pz771XX79d4
> HaV2vtgUhupD2Tz+800fq6by1/NnJV/neTrLD+8jdJulHd1TLMg=
> =LZT4
> -----END PGP SIGNATURE-----
> _______________________________________________
> Devuan-bugs mailing list
> Devuan-bugs@lists.dyne.org
> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-bugs


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Thu, 03 Feb 2022 14:38:02 GMT) (full text, mbox, link).


Acknowledgement sent to Boian Bonev <bbonev@ipacct.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 03 Feb 2022 14:38:05 GMT) (full text, mbox, link).


Message #25 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Boian Bonev <bbonev@ipacct.com>
To: tito <farmatito@tiscali.it>, 662@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>, Where all about bugs in Devuan packages is reported <devuan-bugs@lists.dyne.org>
Cc: Elliot <TrueTechie@tutanota.com>
Subject: Re: [devuan-dev] bug#662: [Devuan-bugs] bug#662: bug#662: software-properties-gtk: does not start due to lack of devuan distro template
Date: Thu, 03 Feb 2022 16:36:14 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Wed, 2022-02-02 at 23:17 +0100, tito wrote:
> spotted a typo;
> 
> --- Devuan.info.orig    2022-02-02 22:57:50.098440373 +0100
> +++ Devuan.info 2022-02-02 23:00:39.546288910 +0100
> @@ -33,7 +33,7 @@ RepositoryType: deb
>  BaseURI: http://deb.devuan.org/merged/
>  MatchURI: [a-z]{2}\.deb\.devuan\.org
>  MirrorsFile: Devuan.mirrors
> -_Description: Devuan 4 'Chimaera '
> +_Description: Devuan 4 'Chimaera'
>  Component: main
>  _CompDescription: Officially supported
>  Component: contrib

This file is generated based on /usr/share/distro-info/devuan.csv that
comes from distro-info-data. Can you propose a PR there [1]? 

With best regards,
b.

[1]
https://git.devuan.org/devuan/distro-info-data/src/branch/suites/unstable)


[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Thu, 03 Feb 2022 15:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to tito <farmatito@tiscali.it>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 03 Feb 2022 15:18:05 GMT) (full text, mbox, link).


Message #30 received at 662@bugs.devuan.org (full text, mbox, reply):

From: tito <farmatito@tiscali.it>
To: Boian Bonev <bbonev@ipacct.com>
Cc: 662@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>, Where all about bugs in Devuan packages is reported <devuan-bugs@lists.dyne.org>, Elliot <TrueTechie@tutanota.com>
Subject: Re: [devuan-dev] bug#662: [Devuan-bugs] bug#662: bug#662: software-properties-gtk: does not start due to lack of devuan distro template
Date: Thu, 3 Feb 2022 16:16:04 +0100
On Thu, 03 Feb 2022 16:36:14 +0200
Boian Bonev <bbonev@ipacct.com> wrote:

> Hi,
> 
> On Wed, 2022-02-02 at 23:17 +0100, tito wrote:
> > spotted a typo;
> > 
> > --- Devuan.info.orig    2022-02-02 22:57:50.098440373 +0100
> > +++ Devuan.info 2022-02-02 23:00:39.546288910 +0100
> > @@ -33,7 +33,7 @@ RepositoryType: deb
> >  BaseURI: http://deb.devuan.org/merged/
> >  MatchURI: [a-z]{2}\.deb\.devuan\.org
> >  MirrorsFile: Devuan.mirrors
> > -_Description: Devuan 4 'Chimaera '
> > +_Description: Devuan 4 'Chimaera'
> >  Component: main
> >  _CompDescription: Officially supported
> >  Component: contrib
> 
> This file is generated based on /usr/share/distro-info/devuan.csv that
> comes from distro-info-data. Can you propose a PR there [1]? 
> 
> With best regards,
> b.
> 
Hi,
Looked at  /usr/share/distro-info/devuan.csv but spotted nothing related.

Ciao,
Tito

> [1]
> https://git.devuan.org/devuan/distro-info-data/src/branch/suites/unstable)
> 
> 


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Thu, 03 Feb 2022 15:34:01 GMT) (full text, mbox, link).


Message #33 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Boian Bonev <bbonev@ipacct.com>, 662@bugs.devuan.org
Cc: tito <farmatito@tiscali.it>, Elliot <TrueTechie@tutanota.com>
Subject: Re: bug#662: software-properties-gtk: does not start due to lack of devuan distro template
Date: Thu, 3 Feb 2022 15:31:36 +0000
On Thu, Feb 03, 2022 at 04:36:14PM +0200, Boian Bonev wrote:
> Hi,
> 
> On Wed, 2022-02-02 at 23:17 +0100, tito wrote:
> > spotted a typo;
> > 
> > --- Devuan.info.orig    2022-02-02 22:57:50.098440373 +0100
> > +++ Devuan.info 2022-02-02 23:00:39.546288910 +0100
> > @@ -33,7 +33,7 @@ RepositoryType: deb
> >  BaseURI: http://deb.devuan.org/merged/
> >  MatchURI: [a-z]{2}\.deb\.devuan\.org
> >  MirrorsFile: Devuan.mirrors
> > -_Description: Devuan 4 'Chimaera '
> > +_Description: Devuan 4 'Chimaera'
> >  Component: main
> >  _CompDescription: Officially supported
> >  Component: contrib
> 
> This file is generated based on /usr/share/distro-info/devuan.csv that
> comes from distro-info-data. Can you propose a PR there [1]? 

I have just built a distro-info-data 0.52+devuan2 which has the excess
whitespace removed.

Mark

Reply sent to dak@devuan.org:
You have taken responsibility. (Fri, 04 Feb 2022 02:36:01 GMT) (full text, mbox, link).


Notification sent to Elliot <TrueTechie@tutanota.com>:
bug acknowledged by developer. (Fri, 04 Feb 2022 02:36:04 GMT) (full text, mbox, link).


Message #38 received at 662-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 662-done@bugs.devuan.org
Subject: #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Fri, 04 Feb 2022 01:15:30 +0000
Version: 2.3.0+devuan2

Source package python-apt-common-devuan (2.3.0+devuan2) added to Devuan suite unstable.

This closes bug report 662.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 04 Feb 2022 00:44:53 +0000
Source: python-apt-common-devuan
Architecture: source
Version: 2.3.0+devuan2
Distribution: unstable
Urgency: medium
Maintainer: Boian Bonev <bbonev@ipacct.com>
Changed-By: Boian Bonev <bbonev@ipacct.com>
Closes: 662
Changes:
 python-apt-common-devuan (2.3.0+devuan2) unstable; urgency=medium
 .
   * Rebuild to accommodate changes in distro-info-data (Closes: #662)
Checksums-Sha1:
 fdceac5cb1dd8a3559a457d108d364363534185b 1374 python-apt-common-devuan_2.3.0+devuan2.dsc
 7e5eed6c2de4b89f4dae75df66d15beb9287314c 4172 python-apt-common-devuan_2.3.0+devuan2.tar.xz
 3cefa49223c8d31e32640f0e9845a15a7e658cca 6730 python-apt-common-devuan_2.3.0+devuan2_source.buildinfo
Checksums-Sha256:
 0a50a0fb81a95c6752a964aae467960835a3258f566bd22627008cc53750476e 1374 python-apt-common-devuan_2.3.0+devuan2.dsc
 7c71397e6c8b09bf3f47996d0b413e41aa1bd7f01b51db374c75d3baf2db80ff 4172 python-apt-common-devuan_2.3.0+devuan2.tar.xz
 db644ba0ec109536340e5d42c9de975a0ecee38b545b1f92e73e9e08f7e982ec 6730 python-apt-common-devuan_2.3.0+devuan2_source.buildinfo
Files:
 74114fee3aca0c1478e792c497e44a87 1374 python optional python-apt-common-devuan_2.3.0+devuan2.dsc
 a2ae69804f78ff4d865ff3319bf1b752 4172 python optional python-apt-common-devuan_2.3.0+devuan2.tar.xz
 c295b2d38cfcbcc2ebe4cd409ffccc32 6730 python optional python-apt-common-devuan_2.3.0+devuan2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAmH8fesACgkQlFMhJFQZ
IvtkCQgAlavFdKz78jSWDq1zHzJUuEbHkbGyr9bphcagH0Kb2Wd5/WSUSndN3DxL
voiUvaMv4f7tm7CuBfGUR7BxgFILz8mnKOn23mP+Jpd0OiZzNfLrKp6AsD+cFlOl
2G1tUfwhaLtOptAz7AfEQrWiKPeN6xnO9lvYscyTxNIP0ISNWydpln/rbS37angt
jdV+IiYv+EPgJqqCX5rcmlsLkcXfuCouO+L/y08o5whbvuFfta1V9RC10nbKYgqM
dLo3S0bHR9fRIaODJvOdudDi3jK/nED/xfz7cwp1bhmo2oJR7KU0geFdrjNRLZnH
7AJrItBAi525Rr2D30/eQ6K4h+50vQ==
=ikv3
-----END PGP SIGNATURE-----

Bug reopened Request was from truetechie@tutanota.com to control@bugs.devuan.org. (Mon, 08 Aug 2022 04:36:02 GMT) (full text, mbox, link).


No longer marked as fixed in versions 2.3.0+devuan2. Request was from truetechie@tutanota.com to control@bugs.devuan.org. (Mon, 08 Aug 2022 04:36:02 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Mon, 08 Aug 2022 05:08:01 GMT) (full text, mbox, link).


Acknowledgement sent to truetechie@tutanota.com:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Mon, 08 Aug 2022 05:08:03 GMT) (full text, mbox, link).


Message #47 received at 662@bugs.devuan.org (full text, mbox, reply):

From: truetechie@tutanota.com
To: 662 <662@bugs.devuan.org>
Subject: Re: #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Mon, 8 Aug 2022 07:07:26 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Apologies for the months late reply and any formatting mistakes, I moved on from this and forgot about it. Either way, this doesn't seem to have been fixed in either chaemera, daedalus, or ceres (after testing in several VMs and on my laptop running Devuan). Launching the application via either the desktop or the command line (with or without polkit) still produces an error as seen by the output on my Daedalus VM:

Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 101, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 109, in __init__
    SoftwareProperties.__init__(self, options=options, datadir=datadir)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)   
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in get_sources
    raise NoDistroTemplateException(
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for Devuan/daedalus ceres

If it helps/is related to this, running the command "distro-info --all" only seems to produce upstream Debian release names as output as seen here:

buzz
rex
bo
hamm
slink
potato
woody
sarge
etch
lenny
squeeze
wheezy
jessie
stretch
buster
bullseye
bookworm
trixie
sid
experimental

On Fri, 04 Feb 2022 01:15:30 +0000 dak@devuan.org wrote:
 >
> Version: 2.3.0+devuan2
>
> Source package python-apt-common-devuan (2.3.0+devuan2) added to Devuan suite unstable.
>
> This closes bug report 662.
>
> Thanks
>
> DAK managing the Devuan archive
>
 
> Format: 1.8
>  Date: Fri, 04 Feb 2022 00:44:53 +0000
>  Source: python-apt-common-devuan
>  Architecture: source
>  Version: 2.3.0+devuan2
>  Distribution: unstable
>  Urgency: medium
>  Maintainer: Boian Bonev <> bbonev@ipacct.com> >
>  Changed-By: Boian Bonev <> bbonev@ipacct.com> >
>  Closes: 662
>  Changes:
>  python-apt-common-devuan (2.3.0+devuan2) unstable; urgency=medium
>  .
>  * Rebuild to accommodate changes in distro-info-data (Closes: #662)
>  Checksums-Sha1:
>  fdceac5cb1dd8a3559a457d108d364363534185b 1374 python-apt-common-devuan_2.3.0+devuan2.dsc
>  7e5eed6c2de4b89f4dae75df66d15beb9287314c 4172 python-apt-common-devuan_2.3.0+devuan2.tar.xz
>  3cefa49223c8d31e32640f0e9845a15a7e658cca 6730 python-apt-common-devuan_2.3.0+devuan2_source.buildinfo
>  Checksums-Sha256:
>  0a50a0fb81a95c6752a964aae467960835a3258f566bd22627008cc53750476e 1374 python-apt-common-devuan_2.3.0+devuan2.dsc
>  7c71397e6c8b09bf3f47996d0b413e41aa1bd7f01b51db374c75d3baf2db80ff 4172 python-apt-common-devuan_2.3.0+devuan2.tar.xz
>  db644ba0ec109536340e5d42c9de975a0ecee38b545b1f92e73e9e08f7e982ec 6730 python-apt-common-devuan_2.3.0+devuan2_source.buildinfo
>  Files:
>  74114fee3aca0c1478e792c497e44a87 1374 python optional python-apt-common-devuan_2.3.0+devuan2.dsc
>  a2ae69804f78ff4d865ff3319bf1b752 4172 python optional python-apt-common-devuan_2.3.0+devuan2.tar.xz
>  c295b2d38cfcbcc2ebe4cd409ffccc32 6730 python optional python-apt-common-devuan_2.3.0+devuan2_source.buildinfo
>  
>

[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Mon, 08 Aug 2022 06:30:02 GMT) (full text, mbox, link).


Message #50 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: truetechie@tutanota.com, 662@bugs.devuan.org
Cc: Boian Bonev <bbonev@ipacct.com>
Subject: Re #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Mon, 8 Aug 2022 07:28:09 +0100
On Mon, Aug 08, 2022 at 07:07:26AM +0200, truetechie@tutanota.com wrote:
>    Apologies for the months late reply and any formatting mistakes, I
>    moved on from this and forgot about it. Either way, this doesn't seem
>    to have been fixed in either chaemera, daedalus, or ceres (after
>    testing in several VMs and on my laptop running Devuan). Launching the
>    application via either the desktop or the command line (with or without
>    polkit) still produces an error as seen by the output on my Daedalus
>    VM:

Apologies if this is an obvious question, but do you have the
python-apt-common-devuan package installed?

Mark

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Mon, 08 Aug 2022 17:26:01 GMT) (full text, mbox, link).


Acknowledgement sent to truetechie@tutanota.com:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Mon, 08 Aug 2022 17:26:05 GMT) (full text, mbox, link).


Message #55 received at 662@bugs.devuan.org (full text, mbox, reply):

From: truetechie@tutanota.com
To: 662@bugs.devuan.org
Subject: Re: Re #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Mon, 8 Aug 2022 19:25:32 +0200 (CEST)
[Message part 1 (text/plain, inline)]
In Chaemera this package is not available and on Daedalus this doesn't change anything when installed.

On Mon, 8 Aug 2022 07:28:09 +0100 Mark Hindley  wrote:
> On Mon, Aug 08, 2022 at 07:07:26AM +0200, truetechie@tutanota.com wrote:
> >    Apologies for the months late reply and any formatting mistakes, I
> >    moved on from this and forgot about it. Either way, this doesn't seem
> >    to have been fixed in either chaemera, daedalus, or ceres (after
> >    testing in several VMs and on my laptop running Devuan). Launching the
> >    application via either the desktop or the command line (with or without
> >    polkit) still produces an error as seen by the output on my Daedalus
> >    VM:
> 
> Apologies if this is an obvious question, but do you have the
> python-apt-common-devuan package installed?
> 
> Mark


-- 
 Sent with Tutanota, enjoy secure & ad-free emails. 
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#662; Package software-properties-gtk. (Tue, 09 Aug 2022 06:24:02 GMT) (full text, mbox, link).


Message #58 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: truetechie@tutanota.com, 662@bugs.devuan.org
Cc: bbonev@ipacct.com
Subject: Re: [devuan-dev] bug#662: Re #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Tue, 9 Aug 2022 07:21:01 +0100
Control: reassign -1 python-apt-common-devuan


On Mon, Aug 08, 2022 at 07:25:32PM +0200, truetechie@tutanota.com wrote:
>    In Chaemera this package is not available and on Daedalus this doesn't
>    change anything when installed.

OK, thanks. Reassigning.

Boian, can you take a look as to wy this fix is not, or no longer working?

Thanks

Mark

bug reassigned from package 'software-properties-gtk' to 'python-apt-common-devuan'. Request was from Mark Hindley <mark@hindley.org.uk> to 662-submit@bugs.devuan.org. (Tue, 09 Aug 2022 06:24:12 GMT) (full text, mbox, link).


No longer marked as found in versions 0.96.20.2-2.1. Request was from Mark Hindley <mark@hindley.org.uk> to 662-submit@bugs.devuan.org. (Tue, 09 Aug 2022 06:24:12 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org:
bug#662; Package python-apt-common-devuan. (Tue, 09 Aug 2022 20:38:01 GMT) (full text, mbox, link).


Acknowledgement sent to Boian Bonev <bbonev@ipacct.com>:
Extra info received and forwarded to list. (Tue, 09 Aug 2022 20:38:05 GMT) (full text, mbox, link).


Message #67 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Boian Bonev <bbonev@ipacct.com>
To: Mark Hindley <mark@hindley.org.uk>, truetechie@tutanota.com, 662@bugs.devuan.org
Subject: Re: [devuan-dev] bug#662: Re #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Tue, 09 Aug 2022 23:36:30 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hi,

I am testing on chimaera - it does not have the python-apt-common-devuan in its
repo, yet.

Before:

user@host:~$ software-properties-gtk
ERROR:root:Cannot import UbuntuDrivers: No module named 'UbuntuDrivers'
Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 101, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options,
file=file)
  File "/usr/lib/python3/dist-
packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 109, in
__init__
    SoftwareProperties.__init__(self, options=options, datadir=datadir)
  File "/usr/lib/python3/dist-
packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-
packages/softwareproperties/SoftwareProperties.py", line 599, in
reload_sourceslist
    self.distro.get_sources(self.sourceslist)    
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in
get_sources
    raise NoDistroTemplateException(
aptsources.distro.NoDistroTemplateException: Error: could not find a
distribution template for Devuan/chimaera

Fix:

user@host:~$ wget
http://deb.devuan.org/merged/pool/DEVUAN/main/p/python-apt-common-devuan/python-apt-common-devuan_2.3.0+devuan2_all.deb
user@host:~$ sudo dpkg -i python-apt-common-devuan_2.3.0+devuan2_all.deb

After:

user@host:~$ software-properties-gtk
ERROR:root:Cannot import UbuntuDrivers: No module named 'UbuntuDrivers'

... and it works (not sure if it works properly, though)

With best regards,
b.

On Tue, 2022-08-09 at 07:21 +0100, Mark Hindley wrote:
> Control: reassign -1 python-apt-common-devuan
> 
> 
> On Mon, Aug 08, 2022 at 07:25:32PM +0200, truetechie@tutanota.com wrote:
> >    In Chaemera this package is not available and on Daedalus this doesn't
> >    change anything when installed.
> 
> OK, thanks. Reassigning.
> 
> Boian, can you take a look as to wy this fix is not, or no longer working?
> 
> Thanks
> 
> Mark

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEumC8IPN+WURNbSUAE2VyCRPS8i0FAmLyxU4ACgkQE2VyCRPS
8i0GOA/9EatLOKCv84c8gX50iEwPQ0RqJmHttOW6dX2Xs9jYcXvajB3ooNQhk4LL
BfcNjROE64ojmDOfDJSvLJPmpchLs1QKH8JUSxCz0SBJxMWowulDwmzQFSuiDPLK
AET43jR0uFB82joWvf7sHGq2L7SsTwMEymqauVYsNSekcO1nT6AkecmhKTQnf78+
+Ic3rveyeCvRmPMdedIViXEJLoiIK6f0PVJczw2TIFjgH5XviJ8qFwoUV5B5gDuP
mVm+cAnE8qNeJN7c8haOeATtwDf1mdh7oH+ICDSIYaJ8ARZIMJqCCT5AHHL4FQk8
KJHku1byNS8MgZckNYB4UqWV/DFj9lvyOSxircG1DGT4ufspy9gz23koTBDduQ1s
59ztZ5L6aEFv7KHblYlUPM85fy1FH0aNb6InkrrwSBUMF47I8mzS6JtfAL3tb9AW
1xUzp9Jp07slSivjiKsNQY9f+6wlLS1o7/WM4b/L+F23cEb5S8enTcDr28S3zlG+
CsyqbvxmEMi3nEbTekxdDigZhQWxotGonn1V9Zi4XYCoYvM0iJQqlO/xD1LW3rWI
J09fihAnCsqN5vXvAnTGzw4VwkE8VSJ3ONboilG/8NNO5N8MX5lxCWKtMEYOePkX
XK4eYx+LFRTz8mkU+72MIxAbYlxbqXwP9qEwHTHX6hCWFcybO58=
=Z3bC
-----END PGP SIGNATURE-----


Information forwarded to devuan-bugs@lists.dyne.org, Boian Bonev <bbonev@ipacct.com>:
bug#662; Package python-apt-common-devuan. (Thu, 11 Aug 2022 06:36:02 GMT) (full text, mbox, link).


Message #70 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 662@bugs.devuan.org
Cc: truetechie@tutanota.com, bbonev@ipacct.com
Subject: Re: #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Thu, 11 Aug 2022 07:33:49 +0100
On Tue, Aug 09, 2022 at 07:21:01AM +0100, Mark Hindley wrote:
> Control: reassign -1 python-apt-common-devuan
> 
> 
> On Mon, Aug 08, 2022 at 07:25:32PM +0200, truetechie@tutanota.com wrote:
> >    In Chaemera this package is not available and on Daedalus this doesn't
> >    change anything when installed.
> 
> OK, thanks. Reassigning.
> 
> Boian, can you take a look as to wy this fix is not, or no longer working?

I have reproduced this on a Daedalus install.

It seems to be triggered by the

 VERSION_CODENAME="daedalus ceres"

in /etc/os-release which doesn't match a template. Changing it to a single
codename makes software-properties-gtk run.

Boian, is the right fix to add that codename template?

Thanks

Mark

Information forwarded to devuan-bugs@lists.dyne.org:
bug#662; Package python-apt-common-devuan. (Sun, 14 Aug 2022 21:02:02 GMT) (full text, mbox, link).


Acknowledgement sent to Boian Bonev <bbonev@ipacct.com>:
Extra info received and forwarded to list. (Sun, 14 Aug 2022 21:02:06 GMT) (full text, mbox, link).


Message #75 received at 662@bugs.devuan.org (full text, mbox, reply):

From: Boian Bonev <bbonev@ipacct.com>
To: Mark Hindley <mark@hindley.org.uk>, 662@bugs.devuan.org
Cc: truetechie@tutanota.com
Subject: Re: bug#662: #662: fixed in src:python-apt-common-devuan version 2.3.0+devuan2
Date: Sun, 14 Aug 2022 23:59:26 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

> I have reproduced this on a Daedalus install.
> 
> It seems to be triggered by the
> 
>  VERSION_CODENAME="daedalus ceres"
> 
> in /etc/os-release which doesn't match a template. Changing it to a single
> codename makes software-properties-gtk run.
> 
> Boian, is the right fix to add that codename template?

I don't think so. Codename should become a single word, but it is not clear (at
least to me) how to achieve that and also get it to distinguish daedalus from
ceres. AFAIK Debian also yields the same codename both for testing and unstable
and only has the proper one for (old)stable.

OTOH software-properties-gtk does not work properly neither on chimaera nor on
daedalus - it runs (after changing os-release) but does not recognize the
configured entries in /etc/apt/sources.list and does not parse the mirrors from
/usr/share/python-apt/templates/Devuan.mirrors. I did try to see what is going
on but I am not on good terms with snakes and couldn't find the problem.

With best regards,
b.
-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEumC8IPN+WURNbSUAE2VyCRPS8i0FAmL5Yi4ACgkQE2VyCRPS
8i1EFRAAtgBA8bY3rOVzU8nEPW1qrbSu+fB73DYQ4KwPLz2LDVgjWB2/mNa90NuT
KUyrucgt6xhf5YCyqXtflTWmo5JGASksvUEro7Q8K12s32giUoWYEYO8hOwakgW6
yT1S0EzNPgLhZAJ5ls5LVa0vw7fi3HVtKZgnsR3Hp39h3opKhAdyajZxooWCB7dv
3eKH4F7B8L7d2RvFKyyf4FX4SVhJIYXw+aEjL8NqtfsaLxbsaS6mvXNuzXcNUROq
AbB8gDglm6G/Y7NNIfkcgfP5e6rrfLVpSvUAL/ZZte3fvkGZ3fdQKvHIyd2J+Nxa
3/y/qEvoapBhokzPK1z02F6DgsYm0tGnLUdzgnaHNQJPr+rLK/S82wQqQvnrJb2B
wrRT3s4askchQKtR5/93f/bPayBLS5d1qI5ESLmkn4cvFnOOwObln/RPdnp/SIwS
torjPlZSFHcKsiNUzoVA0ZtiYU6dSBzUflyrnrpBAZQTpyrzV+eaRWVKsuvrrn97
gl23hGKqScP9JxSQQ3ltfYrLymMbkQMCl8FMHq53EuKd6j3cxs/4nf5i9W3QJKPj
9XEAyilkd/wv1XVOVv31Ee+idtLfrh9AR7j55FIVpS3l8m4t41pKdX3w2fioiFRU
VAFHIIJO3OBvu2z4i77FG/FljHDQQQcw40bmbAd7Iwwza+rRhAI=
=ULNq
-----END PGP SIGNATURE-----


Merged 549 662 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Fri, 20 Jan 2023 07:42:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon Mar 20 14:59:33 2023;